#ifndef _KGR_PATCH_BSC1124729_H
#define _KGR_PATCH_BSC1124729_H

#if !IS_ENABLED(CONFIG_XEN)

int kgr_patch_bsc1124729_init(void);
void kgr_patch_bsc1124729_cleanup(void);


struct file;

long kgr_kvm_vm_ioctl(struct file *filp,
		      unsigned int ioctl, unsigned long arg);

#define KGR_PATCH_BSC1124729_FUNCS				\
	KGR_PATCH_OBJ(kvm_vm_ioctl, kgr_kvm_vm_ioctl, "kvm"),

#else /* IS_ENABLED(CONFIG_XEN) */

static inline int kgr_patch_bsc1124729_init(void) { return 0; }
static inline void kgr_patch_bsc1124729_cleanup(void) {}

#define KGR_PATCH_BSC1124729_FUNCS

#endif /* !IS_ENABLED(CONFIG_XEN) */
#endif
